[Overview][Types][Classes][Index] | Reference for unit 'LazCanvas' (#lcl)

# TLazCanvas.FillColor

Fills the entire drawing area with the specified color.

## Declaration

Source position: lazcanvas.pas line 142

`public procedure TLazCanvas.FillColor(`
`AColor: TFPColor;`
`AIgnoreClippingAndWindowOrg: Boolean = False`
`);`

## Arguments

`AColor` |  | Color applied to the canvas area.
`AIgnoreClippingAndWindowOrg` |  | True ignores the canvas clipping region and window origin, and fills all pixels for an underlying Image with the specified color. False (the default) limits the scope to the Width and Height for the canvas - not the range of pixels in the Image.

## Description

Fills the entire drawing area with the specified color. AIgnoreClippingAndWindowOrg speeds up canvas drawing operations, but it is dangerous; don't use it unless you know what you are doing.